Part Circle/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/pl |Spirala |Ellipsa |środowisko pracy Część |IconL=Part_Spiral.svg |IconR=Part_Ellipse.svg |IconC=Workbench_Part.svg }}")
(Created page with "{{GuiCommand/pl |Name=Part Circle |Name/pl=Part Okrąg |MenuLocation=Część → Utwórz geometrie pierwotne → Okrąg |Workbenches=Część, OpenSCAD |SeeAlso=Utwórz geometrię pierwotną }}")
Line 10: Line 10:
}}
}}


{{GuiCommand
{{GuiCommand/pl
|Name=Part Circle
|Name=Part Circle
|Name/pl=Part Okrąg
|MenuLocation=Part → [[Part_Primitives|Create primitives]] → Circle
|MenuLocation=Część → Utwórz geometrie pierwotne → Okrąg
|Workbenches=[[Part_Workbench|Part]], [[OpenSCAD_Workbench|OpenSCAD]]
|Workbenches=[[Part_Workbench/pl|Część]], [[OpenSCAD_Workbench/pl|OpenSCAD]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
|SeeAlso=[[Part_Primitives/pl|Utwórz geometrię pierwotną]]
}}
}}



Revision as of 05:36, 24 June 2023

Part Okrąg

Lokalizacja w menu
Część → Utwórz geometrie pierwotne → Okrąg
Środowisko pracy
Część, OpenSCAD
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Utwórz geometrię pierwotną

Description

A Part Circle is a parametric shape that can be created with the Part Primitives command. In the coordinate system defined by its DANEPlacement property, the circle lies on the XY plane with its center at the origin.

A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its DANEAngle1 and/or DANEAngle2 properties.

Usage

See Part Primitives.

A Part Circle can alternatively be created by selecting three points:

  1. In the task panel of the Part Primitives command select the Circle option from the dropdown list.
  2. Press the From three points button.
  3. Select three vertices in the 3D view. There is no need to hold down the Ctrl key.
  4. A circle is created.
  5. The selected vertices are only used at creation time to calculate the DANERadius and DANEPlacement of the circle.

Example

Part Circle from the scripting example

A Part Circle object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Circle object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DANERadius (Length): The radius of the circle or circular arc. The default is 2mm.
  • DANEAngle1 (Angle): The start angle of the circular arc. Valid range: 0° < value <= 360°. The default is .
  • DANEAngle2 (Angle): The end angle of the circular arc. Valid range: 0° < value <= 360°. The default is 360°. If DANEAngle1 and DANEAngle2 are equal, or if one angle is and the other 360°, a full circle is created.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Circle can be created with the addObject() method of the document:

circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
  • Where "myCircle" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

circle = doc.addObject("Part::Circle", "myCircle")
circle.Radius = 10
circle.Angle1 = 45
circle.Angle2 = 225
circle.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()